Genome Analysis Toolkit

Variant Discovery in High-Throughput Sequencing Data

GATK process banner

Need Help?

Search our documentation

Community Forum

Hi, How can we help?

Developed in the Data Sciences Platform at the Broad Institute, the toolkit offers a wide variety of tools with a primary focus on variant discovery and genotyping. Its powerful processing engine and high-performance computing features make it capable of taking on projects of any size. Learn more

Error while creating conda environment using gatkcondaenv.yml

0

6 comments

  • Avatar
    Gökalp Çelik

    Hi saurabh

    We do not recomment using direct installs via pip or bioconda as those gatk repositories are not managed by us. For a proper conda environment installation we recommend the step below.

    1- Update your conda installation before you begin. Outdated conda tools cannot locate or resolve dependencies due to changes in the conda repositories. If you are having trouble obtaining any of the packages this is almost always the issue causing errors. 

    2- Purge any former gatk environments. 

    3- Always update your environment when you have a new gatk release installed. 

    If none of those work depending on your compute environment we also recommend using our official GATK docker image which contains all the necessary dependencies for every single tool needed. 

    I hope this helps. 

    1
    Comment actions Permalink
  • Avatar
    saurabh

    Thanks ! I tried all the alternative solutions but could not install the required dependencies. Can i get the link for the tools dependencies used in docker so i can install in my server. Because I am working on HPC and can not use the docker image there. 

    Thank you !

     

    0
    Comment actions Permalink
  • Avatar
    Gökalp Çelik

    We don't recommend doing manual installation as it will not work at all. The only way to install our environment is through our yml file provided in the package. 

    If you are able to install miniconda to your own home folder then your can get a clean updated conda installation and you may be able to proceed from there. 

    Those required libraries and dependencies are listed in the yml file.

    I hope this helps. 

    0
    Comment actions Permalink
  • Avatar
    saurabh

    sorry for late response. I installed anaconda and tried to get environment using .yml . That's when i get error saying packages from the yml file are not available. You can check the screenshot i uploaded before . thanks !

    0
    Comment actions Permalink
  • Avatar
    Gökalp Çelik

    Hi saurabh

    It is possible that you may be facing issues related to IT connectivity to conda repositories or else. I just tried installing a fresh miniconda onto a ubuntu 22.04 instance and environment seems to work fine 

    Can you check with your system admins about the connectivity? If connectivity is not the issue then a fresh miniconda installation is definitely the thing to work. Also make sure that you have python3 installed and works as the default python version instead of python2. 

    I hope this helps. 

    0
    Comment actions Permalink
  • Avatar
    saurabh

    Thanks ! I'll try reinstalling 

     

    0
    Comment actions Permalink

Please sign in to leave a comment.

Powered by Zendesk